import{s as nr,o as ar,n as Vt}from"../chunks/scheduler.9f522b10.js";import{S as sr,i as or,g as m,s,r as $,A as lr,h as d,f as r,c as o,j as b,u as c,k as N,y as i,a as l,v as f,d as z,t as g,w as u,x as _}from"../chunks/index.192f26f8.js";import{D as C}from"../chunks/Docstring.55e93c6a.js";import{T as ir,M as Bt}from"../chunks/TokenizersLanguageContent.585b569a.js";import{H as y}from"../chunks/Heading.1a5b64b4.js";function mr(T){let n,v,t,h,k,P,S="BertNormalizer",W,D,G=`Takes care of normalizing raw text before giving it to a Bert model.
This includes cleaning the text, handling accents, chinese chars and lowercasing`,p,x,J,q,O,vt,xe,Kt="Lowercase Normalizer",Be,Q,Ke,L,X,xt,_e,Mt="NFC Unicode Normalizer",Me,Y,He,A,Z,_t,ke,Ht="NFD Unicode Normalizer",Re,ee,je,V,te,kt,be,Rt="NFKC Unicode Normalizer",Ue,re,We,B,ne,bt,Ne,jt="NFKD Unicode Normalizer",Ge,ae,Je,K,se,Nt,we,Ut="Nmt normalizer",Oe,oe,Qe,w,le,wt,Ce,Wt="Base class for all normalizers",Ct,ye,Gt=`This class is not supposed to be instantiated directly. Instead, any implementation of a
Normalizer will return an instance of this class when instantiated.`,yt,F,ie,Tt,Te,Jt="Normalize a <code>NormalizedString</code> in-place",Dt,De,Ot=`This method allows to modify a <code>NormalizedString</code> to
keep track of the alignment information. If you just want to see the result
of the normalization on a raw string, you can use
<code>normalize_str()</code>`,Pt,I,me,St,Pe,Qt="Normalize the given string",Ft,Se,Xt=`This method provides a way to visualize the effect of a
<a href="/docs/tokenizers/main/en/api/normalizers#tokenizers.normalizers.Normalizer">Normalizer</a> but it does not keep track of the alignment
information. If you need to get/convert offsets, you can use
<code>normalize()</code>`,Xe,de,Ye,M,pe,It,Fe,Yt=`Precompiled normalizer
Don’t use manually it is used for compatiblity for SentencePiece.`,Ze,$e,et,H,ce,Et,Ie,Zt="Replace normalizer",tt,fe,rt,R,ze,qt,Ee,er=`Allows concatenating multiple other Normalizer as a Sequence.
All the normalizers run in sequence in the given order`,nt,ge,at,j,ue,Lt,qe,tr="Strip normalizer",st,he,ot,U,ve,At,Le,rr="StripAccents normalizer",lt;return n=new y({props:{title:"BertNormalizer",local:"tokenizers.normalizers.BertNormalizer",headingTag:"h2"}}),h=new C({props:{name:"class tokenizers.normalizers.BertNormalizer",anchor:"tokenizers.normalizers.BertNormalizer",parameters:[{name:"clean_text",val:" = True"},{name:"handle_chinese_chars",val:" = True"},{name:"strip_accents",val:" = None"},{name:"lowercase",val:" = True"}],parametersDescription:[{anchor:"tokenizers.normalizers.BertNormalizer.clean_text",description:`<strong>clean_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to clean the text, by removing any control characters
and replacing all whitespaces by the classic one.`,name:"clean_text"},{anchor:"tokenizers.normalizers.BertNormalizer.handle_chinese_chars",description:`<strong>handle_chinese_chars</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to handle chinese chars by putting spaces around them.`,name:"handle_chinese_chars"},{anchor:"tokenizers.normalizers.BertNormalizer.strip_accents",description:`<strong>strip_accents</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether to strip all accents. If this option is not specified (ie == None),
then it will be determined by the value for <em>lowercase</em> (as in the original Bert).`,name:"strip_accents"},{anchor:"tokenizers.normalizers.BertNormalizer.lowercase",description:`<strong>lowercase</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to lowercase.`,name:"lowercase"}]}}),x=new y({props:{title:"Lowercase",local:"tokenizers.normalizers.Lowercase",headingTag:"h2"}}),O=new C({props:{name:"class tokenizers.normalizers.Lowercase",anchor:"tokenizers.normalizers.Lowercase",parameters:[]}}),Q=new y({props:{title:"NFC",local:"tokenizers.normalizers.NFC",headingTag:"h2"}}),X=new C({props:{name:"class tokenizers.normalizers.NFC",anchor:"tokenizers.normalizers.NFC",parameters:[]}}),Y=new y({props:{title:"NFD",local:"tokenizers.normalizers.NFD",headingTag:"h2"}}),Z=new C({props:{name:"class tokenizers.normalizers.NFD",anchor:"tokenizers.normalizers.NFD",parameters:[]}}),ee=new y({props:{title:"NFKC",local:"tokenizers.normalizers.NFKC",headingTag:"h2"}}),te=new C({props:{name:"class tokenizers.normalizers.NFKC",anchor:"tokenizers.normalizers.NFKC",parameters:[]}}),re=new y({props:{title:"NFKD",local:"tokenizers.normalizers.NFKD",headingTag:"h2"}}),ne=new C({props:{name:"class tokenizers.normalizers.NFKD",anchor:"tokenizers.normalizers.NFKD",parameters:[]}}),ae=new y({props:{title:"Nmt",local:"tokenizers.normalizers.Nmt",headingTag:"h2"}}),se=new C({props:{name:"class tokenizers.normalizers.Nmt",anchor:"tokenizers.normalizers.Nmt",parameters:[]}}),oe=new y({props:{title:"Normalizer",local:"tokenizers.normalizers.Normalizer",headingTag:"h2"}}),le=new C({props:{name:"class tokenizers.normalizers.Normalizer",anchor:"tokenizers.normalizers.Normalizer",parameters:""}}),ie=new C({props:{name:"normalize",anchor:"tokenizers.normalizers.Normalizer.normalize",parameters:[{name:"normalized",val:""}],parametersDescription:[{anchor:"tokenizers.normalizers.Normalizer.normalize.normalized",description:`<strong>normalized</strong> (<code>NormalizedString</code>) &#x2014;
The normalized string on which to apply this
<a href="/docs/tokenizers/main/en/api/normalizers#tokenizers.normalizers.Normalizer">Normalizer</a>`,name:"normalized"}]}}),me=new C({props:{name:"normalize_str",anchor:"tokenizers.normalizers.Normalizer.normalize_str",parameters:[{name:"sequence",val:""}],parametersDescription:[{anchor:"tokenizers.normalizers.Normalizer.normalize_str.sequence",description:`<strong>sequence</strong> (<code>str</code>) &#x2014;
A string to normalize`,name:"sequence"}],returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A string after normalization</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>str</code></p>
`}}),de=new y({props:{title:"Precompiled",local:"tokenizers.normalizers.Precompiled",headingTag:"h2"}}),pe=new C({props:{name:"class tokenizers.normalizers.Precompiled",anchor:"tokenizers.normalizers.Precompiled",parameters:[{name:"precompiled_charsmap",val:""}]}}),$e=new y({props:{title:"Replace",local:"tokenizers.normalizers.Replace",headingTag:"h2"}}),ce=new C({props:{name:"class tokenizers.normalizers.Replace",anchor:"tokenizers.normalizers.Replace",parameters:[{name:"pattern",val:""},{name:"content",val:""}]}}),fe=new y({props:{title:"Sequence",local:"tokenizers.normalizers.Sequence",headingTag:"h2"}}),ze=new C({props:{name:"class tokenizers.normalizers.Sequence",anchor:"tokenizers.normalizers.Sequence",parameters:"",parametersDescription:[{anchor:"tokenizers.normalizers.Sequence.normalizers",description:`<strong>normalizers</strong> (<code>List[Normalizer]</code>) &#x2014;
A list of Normalizer to be run as a sequence`,name:"normalizers"}]}}),ge=new y({props:{title:"Strip",local:"tokenizers.normalizers.Strip",headingTag:"h2"}}),ue=new C({props:{name:"class tokenizers.normalizers.Strip",anchor:"tokenizers.normalizers.Strip",parameters:[{name:"left",val:" = True"},{name:"right",val:" = True"}]}}),he=new y({props:{title:"StripAccents",local:"tokenizers.normalizers.StripAccents",headingTag:"h2"}}),ve=new C({props:{name:"class tokenizers.normalizers.StripAccents",anchor:"tokenizers.normalizers.StripAccents",parameters:[]}}),{c(){$(n.$$.fragment),v=s(),t=m("div"),$(h.$$.fragment),k=s(),P=m("p"),P.textContent=S,W=s(),D=m("p"),D.textContent=G,p=s(),$(x.$$.fragment),J=s(),q=m("div"),$(O.$$.fragment),vt=s(),xe=m("p"),xe.textContent=Kt,Be=s(),$(Q.$$.fragment),Ke=s(),L=m("div"),$(X.$$.fragment),xt=s(),_e=m("p"),_e.textContent=Mt,Me=s(),$(Y.$$.fragment),He=s(),A=m("div"),$(Z.$$.fragment),_t=s(),ke=m("p"),ke.textContent=Ht,Re=s(),$(ee.$$.fragment),je=s(),V=m("div"),$(te.$$.fragment),kt=s(),be=m("p"),be.textContent=Rt,Ue=s(),$(re.$$.fragment),We=s(),B=m("div"),$(ne.$$.fragment),bt=s(),Ne=m("p"),Ne.textContent=jt,Ge=s(),$(ae.$$.fragment),Je=s(),K=m("div"),$(se.$$.fragment),Nt=s(),we=m("p"),we.textContent=Ut,Oe=s(),$(oe.$$.fragment),Qe=s(),w=m("div"),$(le.$$.fragment),wt=s(),Ce=m("p"),Ce.textContent=Wt,Ct=s(),ye=m("p"),ye.textContent=Gt,yt=s(),F=m("div"),$(ie.$$.fragment),Tt=s(),Te=m("p"),Te.innerHTML=Jt,Dt=s(),De=m("p"),De.innerHTML=Ot,Pt=s(),I=m("div"),$(me.$$.fragment),St=s(),Pe=m("p"),Pe.textContent=Qt,Ft=s(),Se=m("p"),Se.innerHTML=Xt,Xe=s(),$(de.$$.fragment),Ye=s(),M=m("div"),$(pe.$$.fragment),It=s(),Fe=m("p"),Fe.textContent=Yt,Ze=s(),$($e.$$.fragment),et=s(),H=m("div"),$(ce.$$.fragment),Et=s(),Ie=m("p"),Ie.textContent=Zt,tt=s(),$(fe.$$.fragment),rt=s(),R=m("div"),$(ze.$$.fragment),qt=s(),Ee=m("p"),Ee.textContent=er,nt=s(),$(ge.$$.fragment),at=s(),j=m("div"),$(ue.$$.fragment),Lt=s(),qe=m("p"),qe.textContent=tr,st=s(),$(he.$$.fragment),ot=s(),U=m("div"),$(ve.$$.fragment),At=s(),Le=m("p"),Le.textContent=rr,this.h()},l(e){c(n.$$.fragment,e),v=o(e),t=d(e,"DIV",{class:!0});var a=b(t);c(h.$$.fragment,a),k=o(a),P=d(a,"P",{"data-svelte-h":!0}),_(P)!=="svelte-kgfnlo"&&(P.textContent=S),W=o(a),D=d(a,"P",{"data-svelte-h":!0}),_(D)!=="svelte-ma12ts"&&(D.textContent=G),a.forEach(r),p=o(e),c(x.$$.fragment,e),J=o(e),q=d(e,"DIV",{class:!0});var it=b(q);c(O.$$.fragment,it),vt=o(it),xe=d(it,"P",{"data-svelte-h":!0}),_(xe)!=="svelte-1ws8pdc"&&(xe.textContent=Kt),it.forEach(r),Be=o(e),c(Q.$$.fragment,e),Ke=o(e),L=d(e,"DIV",{class:!0});var mt=b(L);c(X.$$.fragment,mt),xt=o(mt),_e=d(mt,"P",{"data-svelte-h":!0}),_(_e)!=="svelte-199ec7z"&&(_e.textContent=Mt),mt.forEach(r),Me=o(e),c(Y.$$.fragment,e),He=o(e),A=d(e,"DIV",{class:!0});var dt=b(A);c(Z.$$.fragment,dt),_t=o(dt),ke=d(dt,"P",{"data-svelte-h":!0}),_(ke)!=="svelte-17uaov6"&&(ke.textContent=Ht),dt.forEach(r),Re=o(e),c(ee.$$.fragment,e),je=o(e),V=d(e,"DIV",{class:!0});var pt=b(V);c(te.$$.fragment,pt),kt=o(pt),be=d(pt,"P",{"data-svelte-h":!0}),_(be)!=="svelte-1mvgix8"&&(be.textContent=Rt),pt.forEach(r),Ue=o(e),c(re.$$.fragment,e),We=o(e),B=d(e,"DIV",{class:!0});var $t=b(B);c(ne.$$.fragment,$t),bt=o($t),Ne=d($t,"P",{"data-svelte-h":!0}),_(Ne)!=="svelte-dyixwr"&&(Ne.textContent=jt),$t.forEach(r),Ge=o(e),c(ae.$$.fragment,e),Je=o(e),K=d(e,"DIV",{class:!0});var ct=b(K);c(se.$$.fragment,ct),Nt=o(ct),we=d(ct,"P",{"data-svelte-h":!0}),_(we)!=="svelte-1isyure"&&(we.textContent=Ut),ct.forEach(r),Oe=o(e),c(oe.$$.fragment,e),Qe=o(e),w=d(e,"DIV",{class:!0});var E=b(w);c(le.$$.fragment,E),wt=o(E),Ce=d(E,"P",{"data-svelte-h":!0}),_(Ce)!=="svelte-1jpqc6v"&&(Ce.textContent=Wt),Ct=o(E),ye=d(E,"P",{"data-svelte-h":!0}),_(ye)!=="svelte-ne1itq"&&(ye.textContent=Gt),yt=o(E),F=d(E,"DIV",{class:!0});var Ae=b(F);c(ie.$$.fragment,Ae),Tt=o(Ae),Te=d(Ae,"P",{"data-svelte-h":!0}),_(Te)!=="svelte-a9bu3y"&&(Te.innerHTML=Jt),Dt=o(Ae),De=d(Ae,"P",{"data-svelte-h":!0}),_(De)!=="svelte-599qjf"&&(De.innerHTML=Ot),Ae.forEach(r),Pt=o(E),I=d(E,"DIV",{class:!0});var Ve=b(I);c(me.$$.fragment,Ve),St=o(Ve),Pe=d(Ve,"P",{"data-svelte-h":!0}),_(Pe)!=="svelte-1hrxycy"&&(Pe.textContent=Qt),Ft=o(Ve),Se=d(Ve,"P",{"data-svelte-h":!0}),_(Se)!=="svelte-y3bnje"&&(Se.innerHTML=Xt),Ve.forEach(r),E.forEach(r),Xe=o(e),c(de.$$.fragment,e),Ye=o(e),M=d(e,"DIV",{class:!0});var ft=b(M);c(pe.$$.fragment,ft),It=o(ft),Fe=d(ft,"P",{"data-svelte-h":!0}),_(Fe)!=="svelte-bhl1r5"&&(Fe.textContent=Yt),ft.forEach(r),Ze=o(e),c($e.$$.fragment,e),et=o(e),H=d(e,"DIV",{class:!0});var zt=b(H);c(ce.$$.fragment,zt),Et=o(zt),Ie=d(zt,"P",{"data-svelte-h":!0}),_(Ie)!=="svelte-1s88uyt"&&(Ie.textContent=Zt),zt.forEach(r),tt=o(e),c(fe.$$.fragment,e),rt=o(e),R=d(e,"DIV",{class:!0});var gt=b(R);c(ze.$$.fragment,gt),qt=o(gt),Ee=d(gt,"P",{"data-svelte-h":!0}),_(Ee)!=="svelte-105zdm9"&&(Ee.textContent=er),gt.forEach(r),nt=o(e),c(ge.$$.fragment,e),at=o(e),j=d(e,"DIV",{class:!0});var ut=b(j);c(ue.$$.fragment,ut),Lt=o(ut),qe=d(ut,"P",{"data-svelte-h":!0}),_(qe)!=="svelte-1279gw7"&&(qe.textContent=tr),ut.forEach(r),st=o(e),c(he.$$.fragment,e),ot=o(e),U=d(e,"DIV",{class:!0});var ht=b(U);c(ve.$$.fragment,ht),At=o(ht),Le=d(ht,"P",{"data-svelte-h":!0}),_(Le)!=="svelte-7kf6fw"&&(Le.textContent=rr),ht.forEach(r),this.h()},h(){N(t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,a){f(n,e,a),l(e,v,a),l(e,t,a),f(h,t,null),i(t,k),i(t,P),i(t,W),i(t,D),l(e,p,a),f(x,e,a),l(e,J,a),l(e,q,a),f(O,q,null),i(q,vt),i(q,xe),l(e,Be,a),f(Q,e,a),l(e,Ke,a),l(e,L,a),f(X,L,null),i(L,xt),i(L,_e),l(e,Me,a),f(Y,e,a),l(e,He,a),l(e,A,a),f(Z,A,null),i(A,_t),i(A,ke),l(e,Re,a),f(ee,e,a),l(e,je,a),l(e,V,a),f(te,V,null),i(V,kt),i(V,be),l(e,Ue,a),f(re,e,a),l(e,We,a),l(e,B,a),f(ne,B,null),i(B,bt),i(B,Ne),l(e,Ge,a),f(ae,e,a),l(e,Je,a),l(e,K,a),f(se,K,null),i(K,Nt),i(K,we),l(e,Oe,a),f(oe,e,a),l(e,Qe,a),l(e,w,a),f(le,w,null),i(w,wt),i(w,Ce),i(w,Ct),i(w,ye),i(w,yt),i(w,F),f(ie,F,null),i(F,Tt),i(F,Te),i(F,Dt),i(F,De),i(w,Pt),i(w,I),f(me,I,null),i(I,St),i(I,Pe),i(I,Ft),i(I,Se),l(e,Xe,a),f(de,e,a),l(e,Ye,a),l(e,M,a),f(pe,M,null),i(M,It),i(M,Fe),l(e,Ze,a),f($e,e,a),l(e,et,a),l(e,H,a),f(ce,H,null),i(H,Et),i(H,Ie),l(e,tt,a),f(fe,e,a),l(e,rt,a),l(e,R,a),f(ze,R,null),i(R,qt),i(R,Ee),l(e,nt,a),f(ge,e,a),l(e,at,a),l(e,j,a),f(ue,j,null),i(j,Lt),i(j,qe),l(e,st,a),f(he,e,a),l(e,ot,a),l(e,U,a),f(ve,U,null),i(U,At),i(U,Le),lt=!0},p:Vt,i(e){lt||(z(n.$$.fragment,e),z(h.$$.fragment,e),z(x.$$.fragment,e),z(O.$$.fragment,e),z(Q.$$.fragment,e),z(X.$$.fragment,e),z(Y.$$.fragment,e),z(Z.$$.fragment,e),z(ee.$$.fragment,e),z(te.$$.fragment,e),z(re.$$.fragment,e),z(ne.$$.fragment,e),z(ae.$$.fragment,e),z(se.$$.fragment,e),z(oe.$$.fragment,e),z(le.$$.fragment,e),z(ie.$$.fragment,e),z(me.$$.fragment,e),z(de.$$.fragment,e),z(pe.$$.fragment,e),z($e.$$.fragment,e),z(ce.$$.fragment,e),z(fe.$$.fragment,e),z(ze.$$.fragment,e),z(ge.$$.fragment,e),z(ue.$$.fragment,e),z(he.$$.fragment,e),z(ve.$$.fragment,e),lt=!0)},o(e){g(n.$$.fragment,e),g(h.$$.fragment,e),g(x.$$.fragment,e),g(O.$$.fragment,e),g(Q.$$.fragment,e),g(X.$$.fragment,e),g(Y.$$.fragment,e),g(Z.$$.fragment,e),g(ee.$$.fragment,e),g(te.$$.fragment,e),g(re.$$.fragment,e),g(ne.$$.fragment,e),g(ae.$$.fragment,e),g(se.$$.fragment,e),g(oe.$$.fragment,e),g(le.$$.fragment,e),g(ie.$$.fragment,e),g(me.$$.fragment,e),g(de.$$.fragment,e),g(pe.$$.fragment,e),g($e.$$.fragment,e),g(ce.$$.fragment,e),g(fe.$$.fragment,e),g(ze.$$.fragment,e),g(ge.$$.fragment,e),g(ue.$$.fragment,e),g(he.$$.fragment,e),g(ve.$$.fragment,e),lt=!1},d(e){e&&(r(v),r(t),r(p),r(J),r(q),r(Be),r(Ke),r(L),r(Me),r(He),r(A),r(Re),r(je),r(V),r(Ue),r(We),r(B),r(Ge),r(Je),r(K),r(Oe),r(Qe),r(w),r(Xe),r(Ye),r(M),r(Ze),r(et),r(H),r(tt),r(rt),r(R),r(nt),r(at),r(j),r(st),r(ot),r(U)),u(n,e),u(h),u(x,e),u(O),u(Q,e),u(X),u(Y,e),u(Z),u(ee,e),u(te),u(re,e),u(ne),u(ae,e),u(se),u(oe,e),u(le),u(ie),u(me),u(de,e),u(pe),u($e,e),u(ce),u(fe,e),u(ze),u(ge,e),u(ue),u(he,e),u(ve)}}}function dr(T){let n,v;return n=new Bt({props:{$$slots:{default:[mr]},$$scope:{ctx:T}}}),{c(){$(n.$$.fragment)},l(t){c(n.$$.fragment,t)},m(t,h){f(n,t,h),v=!0},p(t,h){const k={};h&2&&(k.$$scope={dirty:h,ctx:t}),n.$set(k)},i(t){v||(z(n.$$.fragment,t),v=!0)},o(t){g(n.$$.fragment,t),v=!1},d(t){u(n,t)}}}function pr(T){let n,v='The Rust API Reference is available directly on the <a href="https://docs.rs/tokenizers/latest/tokenizers/" rel="nofollow">Docs.rs</a> website.';return{c(){n=m("p"),n.innerHTML=v},l(t){n=d(t,"P",{"data-svelte-h":!0}),_(n)!=="svelte-4ytcyb"&&(n.innerHTML=v)},m(t,h){l(t,n,h)},p:Vt,d(t){t&&r(n)}}}function $r(T){let n,v;return n=new Bt({props:{$$slots:{default:[pr]},$$scope:{ctx:T}}}),{c(){$(n.$$.fragment)},l(t){c(n.$$.fragment,t)},m(t,h){f(n,t,h),v=!0},p(t,h){const k={};h&2&&(k.$$scope={dirty:h,ctx:t}),n.$set(k)},i(t){v||(z(n.$$.fragment,t),v=!0)},o(t){g(n.$$.fragment,t),v=!1},d(t){u(n,t)}}}function cr(T){let n,v="The node API has not been documented yet.";return{c(){n=m("p"),n.textContent=v},l(t){n=d(t,"P",{"data-svelte-h":!0}),_(n)!=="svelte-1mrchm6"&&(n.textContent=v)},m(t,h){l(t,n,h)},p:Vt,d(t){t&&r(n)}}}function fr(T){let n,v;return n=new Bt({props:{$$slots:{default:[cr]},$$scope:{ctx:T}}}),{c(){$(n.$$.fragment)},l(t){c(n.$$.fragment,t)},m(t,h){f(n,t,h),v=!0},p(t,h){const k={};h&2&&(k.$$scope={dirty:h,ctx:t}),n.$set(k)},i(t){v||(z(n.$$.fragment,t),v=!0)},o(t){g(n.$$.fragment,t),v=!1},d(t){u(n,t)}}}function zr(T){let n,v,t,h,k,P,S,W,D,G;return k=new y({props:{title:"Normalizers",local:"normalizers",headingTag:"h1"}}),S=new ir({props:{python:!0,rust:!0,node:!0,$$slots:{node:[fr],rust:[$r],python:[dr]},$$scope:{ctx:T}}}),{c(){n=m("meta"),v=s(),t=m("p"),h=s(),$(k.$$.fragment),P=s(),$(S.$$.fragment),W=s(),D=m("p"),this.h()},l(p){const x=lr("svelte-u9bgzb",document.head);n=d(x,"META",{name:!0,content:!0}),x.forEach(r),v=o(p),t=d(p,"P",{}),b(t).forEach(r),h=o(p),c(k.$$.fragment,p),P=o(p),c(S.$$.fragment,p),W=o(p),D=d(p,"P",{}),b(D).forEach(r),this.h()},h(){N(n,"name","hf:doc:metadata"),N(n,"content",gr)},m(p,x){i(document.head,n),l(p,v,x),l(p,t,x),l(p,h,x),f(k,p,x),l(p,P,x),f(S,p,x),l(p,W,x),l(p,D,x),G=!0},p(p,[x]){const J={};x&2&&(J.$$scope={dirty:x,ctx:p}),S.$set(J)},i(p){G||(z(k.$$.fragment,p),z(S.$$.fragment,p),G=!0)},o(p){g(k.$$.fragment,p),g(S.$$.fragment,p),G=!1},d(p){p&&(r(v),r(t),r(h),r(P),r(W),r(D)),r(n),u(k,p),u(S,p)}}}const gr='{"title":"Normalizers","local":"normalizers","sections":[{"title":"BertNormalizer","local":"tokenizers.normalizers.BertNormalizer","sections":[],"depth":2},{"title":"Lowercase","local":"tokenizers.normalizers.Lowercase","sections":[],"depth":2},{"title":"NFC","local":"tokenizers.normalizers.NFC","sections":[],"depth":2},{"title":"NFD","local":"tokenizers.normalizers.NFD","sections":[],"depth":2},{"title":"NFKC","local":"tokenizers.normalizers.NFKC","sections":[],"depth":2},{"title":"NFKD","local":"tokenizers.normalizers.NFKD","sections":[],"depth":2},{"title":"Nmt","local":"tokenizers.normalizers.Nmt","sections":[],"depth":2},{"title":"Normalizer","local":"tokenizers.normalizers.Normalizer","sections":[],"depth":2},{"title":"Precompiled","local":"tokenizers.normalizers.Precompiled","sections":[],"depth":2},{"title":"Replace","local":"tokenizers.normalizers.Replace","sections":[],"depth":2},{"title":"Sequence","local":"tokenizers.normalizers.Sequence","sections":[],"depth":2},{"title":"Strip","local":"tokenizers.normalizers.Strip","sections":[],"depth":2},{"title":"StripAccents","local":"tokenizers.normalizers.StripAccents","sections":[],"depth":2}],"depth":1}';function ur(T){return ar(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class br extends sr{constructor(n){super(),or(this,n,ur,zr,nr,{})}}export{br as component};
